# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cabal/api/version'

Gem::Specification.new do |spec|
  spec.name          = "cabal-api"
  spec.version       = Cabal::Api::VERSION
  spec.authors       = ["Dennis Walters"]
  spec.email         = ["dwalters@engineyard.com"]

  spec.summary       = %q{A Grape API for creating and distributing SSH keys}
  spec.homepage      = "http://github.com/engineyard/cabal-api"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features|Procfile|config.ru|bin|config)/?}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "cucumber", '~> 2.1'
  spec.add_development_dependency "rack-test", '~> 0.6'
  spec.add_development_dependency "rspec", '~> 3.3'
  spec.add_development_dependency "factis", '~> 1.0'
  spec.add_development_dependency "simplecov", '~> 0.10'
  spec.add_development_dependency "yard", "~> 0.8.7"
  spec.add_runtime_dependency "cabal-util", '~> 0.1'
  spec.add_runtime_dependency "grape", '~> 1.2'
  spec.add_runtime_dependency "bcrypt", '~> 3.1'
  spec.add_runtime_dependency "sshkey", '~> 1.9'
  spec.add_runtime_dependency 'sekrat', '~> 1.0.0'
  spec.add_runtime_dependency 'sekrat-crypter-aes', '~> 1.0.0'
  spec.add_runtime_dependency 'dry-struct', '~> 0.6.0'
end
